Codevisor Docs
Api reference

POST Plugins PluginId Update Prepare

POST/v1/plugins/{pluginId}/update/prepare

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

pluginId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/plugins/string/update/prepare"
{  "planId": "string",  "pluginId": "string",  "name": "string",  "resolvedCommit": "string",  "expiresAt": "string",  "current": {    "version": "string",    "setupCommands": [      "string"    ],    "runCommand": "string",    "panes": [      {        "type": "string",        "title": "string",        "path": "string",        "iconPath": "string"      }    ],    "tools": [      {        "name": "string",        "description": "string",        "path": "string",        "inputSchema": null      }    ],    "requirements": {      "executables": [        {          "name": "string",          "installHint": "string",          "helpUrl": "string"        }      ]    }  },  "candidate": {    "version": "string",    "setupCommands": [      "string"    ],    "runCommand": "string",    "panes": [      {        "type": "string",        "title": "string",        "path": "string",        "iconPath": "string"      }    ],    "tools": [      {        "name": "string",        "description": "string",        "path": "string",        "inputSchema": null      }    ],    "requirements": {      "executables": [        {          "name": "string",          "installHint": "string",          "helpUrl": "string"        }      ]    }  },  "paneChanges": {    "added": [      "string"    ],    "removed": [      "string"    ],    "changed": [      "string"    ]  },  "toolChanges": {    "added": [      "string"    ],    "removed": [      "string"    ],    "changed": [      "string"    ]  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}